@ECHO off
REM This script starts the headless RPTRST adapter
REM Parameters
REM   RPTRST_HOME (optional) - The RPT home directory

REM **************************************************
REM Check if someone has set RPTRST_HOME variable if they
REM     want to execute this command from another directory.
REM **************************************************


set _EC_HOME=..\..\
set _JAVA_EXE=..\..\jdk\jre\bin\java.exe

if defined RPTRST_HOME set _EC_HOME=%RPTRST_HOME%
if defined RPTRST_HOME set _JAVA_EXE=%RPTRST_HOME%\jdk\jre\bin\java.exe


if not exist "%_EC_HOME%\eclipse.exe" goto :UNABLE_FIND_HOME
if not exist "%_JAVA_EXE%" goto :UNABLE_FIND_JAVA


set _VMARGS=
if defined RPTRST_HOME set _VMARGS=%_VMARGS% -Dcom.ibm.rpt.adapter.home=%RPTRST_HOME%\RPT-RST_RQMAdapter
if defined RPTRST_HOME set _VMARGS=%_VMARGS% -Dcom.ibm.rpt.adapter.eclipsehome=%RPTRST_HOME%

set _ECMD="%_JAVA_EXE%" %_VMARGS% -jar Launcher.jar %*

if defined DEBUG_LAUNCH echo %_ECMD%
if not defined DEBUG_LAUNCH %_ECMD%


REM **************************************************
goto :EOF


REM **************************************************
:UNABLE_FIND_HOME

echo Unable to locate eclipse.exe to launch adapter
echo Either 
echo       1) Change into the directory where this script exists or
echo       2) Set env variable RPTRST_HOME to RPT install home(location of eclipse.exe)
goto :EOF

REM **************************************************
:UNABLE_FIND_JAVA
echo Unable to locate java.exe to launch adapter
echo Either 
echo       1) Change into the directory where this script exists or
echo       2) Set env variable RPTRST_HOME to RPT install home(location of eclipse.exe)
goto :EOF

REM **************************************************
:EOF

echo "Done"